gsequencer (7.7.5-2) unstable; urgency=medium

  * Team upload.
  * Drop build-dependency on removed oss4-dev
  * Add explicit build-dependenct on libcrypt-dev (Closes: #1106966)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 22 Aug 2025 22:03:11 +0200

gsequencer (7.7.5-1) unstable; urgency=medium

  * New upstream version 7.7.5.
    + Fix documentation link to external third party.  closes: #1100850
  * updated libags-audio7t64.symbols because new functions available
  * updated upstream signing key

 -- Joël Krähemann <jkraehemann@gmail.com>  Sat, 12 Apr 2025 20:56:26 +0200

gsequencer (7.6.10-1) unstable; urgency=medium

  * New upstream version 7.6.10
    + Fix FTBFS with GCC-15 closes: #1096784
  * updated libags-audio7t64.symbols because new function available

 -- Joel Kraehemann <jkraehemann@gmail.com>  Sun, 09 Mar 2025 11:35:02 +0100

gsequencer (7.5.5-1) unstable; urgency=medium

  [ Joel Kraehemann ]
  * New upstream version 7.5.5
  * updated symbols file dependencies after the t64 rename.  (closes: #1093447)

  [ Mattia Rizzolo ]
  * Drop all of the Provides/Breaks/Replaces related to the t64 transition,
    as they are unneeded since the latest SONAME bump.

 -- Joel Kraehemann <jkraehemann@gmail.com>  Sun, 19 Jan 2025 19:43:13 +0100

gsequencer (7.5.1-1) unstable; urgency=medium

  * New upstream version 7.5.1
  * updated libags7t64.symbols because new functions available
  * updated libags-audio7t64.symbols because new functions available
  * updated libags-gui7t64.symbols because new functions available

 -- Joel Kraehemann <jkraehemann@gmail.com>  Mon, 13 Jan 2025 13:24:47 +0100

gsequencer (7.2.4-1) unstable; urgency=medium

  * New upstream version 7.2.4
  * update libags-audio7t64.symbols because new symbols available
  * Upload to unstable

 -- Joel Kraehemann <jkraehemann@gmail.com>  Sun, 10 Nov 2024 05:05:30 +0100

gsequencer (7.1.9-1) experimental; urgency=medium

  * New upstream version 7.1.9
  * update program and library version to 7.0, including symbols, etc

 -- Joel Kraehemann <jkraehemann@gmail.com>  Mon, 04 Nov 2024 16:00:42 +0100

gsequencer (6.16.23-1) unstable; urgency=medium

  [ Joël Krähemann ]
  * New upstream version 6.16.23

  [ Mattia Rizzolo ]
  * updated libags-audio6t64.symbols because new symbols available

 -- Joel Kraehemann <jkraehemann@gmail.com>  Tue, 15 Oct 2024 11:15:14 +0200

gsequencer (6.16.22-1) unstable; urgency=medium

  * New upstream version 6.16.22
  * updated libags-audio6t64.symbols because new symbols available

 -- Joel Kraehemann <jkraehemann@gmail.com>  Mon, 23 Sep 2024 07:22:20 +0200

gsequencer (6.16.16-1) unstable; urgency=medium

  [ Joël Krähemann ]
  * New upstream version 6.16.16
    + fixed FTBFS with gcc-14 by using Modern C (closes: #1075049)
  * updated libags-audio6t64.symbols because new symbols available
  * new upstream signing key

 -- Joel Kraehemann <jkraehemann@gmail.com>  Fri, 26 Jul 2024 07:31:25 +0200

gsequencer (6.13.5-1) unstable; urgency=medium

  * New upstream version 6.13.5

 -- Joël Krähemann <jkraehemann@gmail.com>  Mon, 20 May 2024 06:49:25 +0200

gsequencer (6.12.1-1) unstable; urgency=medium

  * New upstream version 6.12.1
  * updated libags6t64.symbols because new symbols available

 -- Joël Krähemann <jkraehemann@gmail.com>  Fri, 10 May 2024 20:54:57 +0200

gsequencer (6.10.1-1) unstable; urgency=medium

  * New upstream version 6.10.1
  * Update symbols files

 -- Joël Krähemann <jkraehemann@gmail.com>  Fri, 03 May 2024 13:01:51 +0200

gsequencer (6.7.3-1) unstable; urgency=medium

  [ Joël Krähemann ]
  * New upstream version 6.7.3
  * updated debian/libags6t64.symbols because new symbols available
  * updated debian/libags-gui6t64.symbols because new symbols available

  [ Mattia Rizzolo ]
  * Fix package-name-doesnt-match-sonames override context.

 -- Joël Krähemann <jkraehemann@gmail.com>  Mon, 15 Apr 2024 06:16:13 +0200

gsequencer (6.5.2-1) unstable; urgency=medium

  * New upstream version 6.5.2
  * Change build dependency from pkg-config to pkgconf

 -- Joël Krähemann <jkraehemann@gmail.com>  Thu, 29 Feb 2024 13:01:02 +0100

gsequencer (6.3.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062181

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 05:13:14 +0000

gsequencer (6.3.5-1) unstable; urgency=medium

  * New upstream version 6.3.5
  * updated standards version to 4.6.2
  * replaced spelling error string in libags-audio6.lintian-overrides
  * updated copyright years
  * replaced signing key
  * updated libags6.symbols because new functions available
  * updated libags-audio6.symbols because new functions available

 -- Joël Krähemann <jkraehemann@gmail.com>  Sat, 27 Jan 2024 10:31:04 +0100

gsequencer (6.2.5-1) unstable; urgency=medium

  * New upstream version 6.2.5
  * updated signing key
  * updated libags-audio6.symbols because new functions available
  * updated libags6.symbols because new functions available

 -- Joël Krähemann <jkraehemann@gmail.com>  Wed, 20 Dec 2023 17:40:14 +0100

gsequencer (6.1.3-1) unstable; urgency=medium

  * New upstream version 6.1.3
  * Update symbols

 -- Joël Krähemann <jkraehemann@gmail.com>  Wed, 04 Oct 2023 02:00:01 +0200

gsequencer (6.0.13-1) unstable; urgency=medium

  * New upstream version 6.0.13

 -- Joël Krähemann <jkraehemann@gmail.com>  Sun, 24 Sep 2023 01:33:37 +0200

gsequencer (6.0.10-1) unstable; urgency=medium

  * New upstream version 6.0.10

 -- Joël Krähemann <jkraehemann@gmail.com>  Thu, 07 Sep 2023 16:15:28 +0200

gsequencer (6.0.9-1) unstable; urgency=medium

  * New upstream version 6.0.9
  * updated upstream signing key
  * Upload Upload to unstable

 -- Joël Krähemann <jkraehemann@gmail.com>  Tue, 05 Sep 2023 12:52:04 +0200

gsequencer (6.0.1-1) experimental; urgency=medium

  * New upstream version 6.0.1
  * update package names and symbols files after SONAME change.

 -- Joël Krähemann <jkraehemann@gmail.com>  Mon, 21 Aug 2023 16:23:12 +0200

gsequencer (5.5.3-1) unstable; urgency=medium

  * New upstream version 5.5.3
  * removed patch because applied upstream

 -- Joël Krähemann <jkraehemann@gmail.com>  Thu, 10 Aug 2023 13:29:00 +0200

gsequencer (5.5.2-1) unstable; urgency=medium

  * New upstream version 5.5.2
  * updated libags5.symbols because new functions available
  * updated libags-audio5.symbols because new functions available
  * Upload to unstable

 -- Joël Krähemann <jkraehemann@gmail.com>  Wed, 09 Aug 2023 12:24:06 +0200

gsequencer (5.3.8-1) experimental; urgency=medium

  * New upstream version 5.3.8
  * updated libags5.symbols because new functions available
  * updated libags-audio5.symbols because new objects and functions available

 -- Joël Krähemann <jkraehemann@gmail.com>  Thu, 15 Jun 2023 10:38:23 +0200

gsequencer (5.3.1-1) experimental; urgency=medium

  * New upstream version 5.3.1
  * rename library package names due to new major release
  * updated signing key
  * modified debian/libags5.symbols all symbols with new major version
  * modified debian/libags-audio5.symbols all symbols with new major version
  * modified debian/libags-gui5.symbols all symbols with new major version
  * added libjson-glib-dev dependency

 -- Joël Krähemann <jkraehemann@gmail.com>  Tue, 06 Jun 2023 23:01:24 +0200

gsequencer (4.4.3-1) unstable; urgency=medium

  * Team upload.

  [ IOhannes m zmölnig ]
  * Remove myself from uploaders.

  [ Bas Couwenberg ]
  * New upstream release.
  * Build depend on libfftw3-dev, fftw3-dev no longer provided.
    (closes: #1025308, #1025743)
  * Add Build-Depends-Package field to symbols files.
  * Enable all hardening buildflags.
  * Update lintian overrides.
  * Use upstream version without debian revision when generating symbols.
  * Update symbols for 4.4.3.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 08 Dec 2022 17:08:24 +0100

gsequencer (4.4.1-1) unstable; urgency=medium

  * New upstream version 4.4.1
  * updated libags-audio4.symbols because new symbol available
  * updated upstream's signing-key.asc with my new key

 -- Joël Krähemann <jkraehemann@gmail.com>  Fri, 16 Sep 2022 05:57:45 +0200

gsequencer (4.3.3-1) unstable; urgency=medium

  * New upstream version 4.3.3

 -- Joël Krähemann <jkraehemann@gmail.com>  Sun, 31 Jul 2022 10:22:52 +0200

gsequencer (4.2.13-1) unstable; urgency=medium

  * New upstream version 4.2.13

 -- Joël Krähemann <jkraehemann@gmail.com>  Sat, 23 Jul 2022 13:31:02 +0200

gsequencer (4.2.10-1) unstable; urgency=medium

  [ Dennis Braun ]
  * Use libjack-jackd2-dev as preferable B-D and libjack-dev as optional
  * Bump Standards Version to 4.6.1

  [ Joël Krähemann ]
  * New upstream version 4.2.10

 -- Joël Krähemann <jkraehemann@gmail.com>  Thu, 30 Jun 2022 11:28:26 +0200

gsequencer (4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0
  * using fop instead of dblatex to generate PDFs
  * providing user manual as A4 and letter PDFs
  * providing developer manual as A4 and letter PDFs
  * edited debian/rules apply new env
  * added missing configure switch --with-poppler
  * added new symbols

 -- Joël Krähemann <jkraehemann@gmail.com>  Sun, 05 Jun 2022 09:13:00 +0200

gsequencer (4.0.11-1) unstable; urgency=medium

  * New upstream version 4.0.11
  * Upload to unstable

 -- Joël Krähemann <jkraehemann@gmail.com>  Sat, 28 May 2022 11:07:46 +0200

gsequencer (4.0.5-1) experimental; urgency=medium

  * New upstream version 4.0.5
  * updated debian/control: move from gtk3 to gtk4 and libsoup-3.0-dev
  * modified version identifier of .gir in debian/*.install and d/control
  * update package names and symbols files after SONAME change.
  * update debian/copyright

 -- Joël Krähemann <jkraehemann@gmail.com>  Tue, 24 May 2022 09:11:36 +0200

gsequencer (3.19.0-1) unstable; urgency=medium

  * New upstream version 3.19.0
  * Drop webkit2gtk-4.0 build-dep and instead add libpoppler-glib
  * Build and install the PDF documentation
  * Added dblatex build dependency

 -- Joël Krähemann <jkraehemann@gmail.com>  Fri, 22 Apr 2022 13:45:12 +0200

gsequencer (3.18.2-1) unstable; urgency=medium

  * New upstream version 3.18.2

 -- Joël Krähemann <jkraehemann@gmail.com>  Tue, 22 Feb 2022 04:12:46 +0100

gsequencer (3.17.7-1) unstable; urgency=medium

  * New upstream version 3.17.7

 -- Joël Krähemann <jkraehemann@gmail.com>  Tue, 15 Feb 2022 18:28:07 +0100

gsequencer (3.17.2-1) unstable; urgency=medium

  * New upstream version 3.17.2
  * updated libags-audio3.symbols because new functions available

 -- Joël Krähemann <jkraehemann@gmail.com>  Mon, 07 Feb 2022 08:33:56 +0100

gsequencer (3.16.12-1) unstable; urgency=medium

  * New upstream version 3.16.12
  * updated libags-audio3.symbols because new functions available
  * added autopkgtest audio config info in debian/README.source

 -- Joël Krähemann <jkraehemann@gmail.com>  Sat, 22 Jan 2022 15:14:18 +0100

gsequencer (3.16.5-1) unstable; urgency=medium

  * New upstream version 3.16.5
  * updated debian/copyright to year 2022
  * updated libags-audio3.symbols because new functions available

 -- Joël Krähemann <jkraehemann@gmail.com>  Sat, 15 Jan 2022 21:46:03 +0100

gsequencer (3.15.3-1) unstable; urgency=medium

  * New upstream version 3.15.3
  * bumped standards version to 4.6.0
  * updated debian/gsequencer-data.install to package file gsequencer.svg
  * updated libags-audio3.symbols because new functions available

 -- Joël Krähemann <jkraehemann@gmail.com>  Sat, 08 Jan 2022 09:01:27 +0100

gsequencer (3.14.11-1) unstable; urgency=medium

  * New upstream version 3.14.11
  * updated libags-audio3.symbols because new functions available

 -- Joël Krähemann <jkraehemann@gmail.com>  Thu, 30 Dec 2021 21:18:13 +0100

gsequencer (3.14.9-1) unstable; urgency=medium

  * New upstream version 3.14.9
  * updated libags-audio3.symbols because new functions available
  * updated libags-gui3.symbols because new functions available

 -- Joël Krähemann <jkraehemann@gmail.com>  Mon, 27 Dec 2021 06:24:36 +0100

gsequencer (3.13.7-1) unstable; urgency=medium

  * New upstream version 3.13.7

 -- Joël Krähemann <jkraehemann@gmail.com>  Mon, 13 Dec 2021 11:31:49 +0100

gsequencer (3.13.3-1) unstable; urgency=medium

  * updated libags-audio3.symbols because new functions available
  * New upstream version 3.13.3
    + Fix ftbfs with -Werror=maybe-uninitialized. Closes: #983868
    + Fix ftbfs with -march=x86-64-v2. Closes: #983927

 -- Joël Krähemann <jkraehemann@gmail.com>  Thu, 09 Dec 2021 09:25:53 +0100

gsequencer (3.13.0-1) unstable; urgency=medium

  * New upstream version 3.13.0

 -- Joël Krähemann <jkraehemann@gmail.com>  Wed, 01 Dec 2021 04:32:04 +0100

gsequencer (3.12.6-1) unstable; urgency=medium

  * New upstream version 3.12.6

 -- Joël Krähemann <jkraehemann@gmail.com>  Thu, 28 Oct 2021 23:04:20 +0200

gsequencer (3.12.3-1) unstable; urgency=medium

  * New upstream version 3.12.3
  * removed ags_example.xml from debian/gsequencer.install
    because it needs to be updated
  * updated libags-gui3.symbols because new functions available

 -- Joël Krähemann <jkraehemann@gmail.com>  Wed, 20 Oct 2021 02:14:25 +0200

gsequencer (3.11.7-1) unstable; urgency=medium

  * New upstream version 3.11.7

 -- Joël Krähemann <jkraehemann@gmail.com>  Sun, 12 Sep 2021 08:52:05 +0200

gsequencer (3.11.5-1) unstable; urgency=medium

  * New upstream version 3.11.5
  * updated libags-audio3.symbols because new functions available

 -- Joël Krähemann <jkraehemann@gmail.com>  Fri, 10 Sep 2021 11:03:28 +0200

gsequencer (3.10.1-1) unstable; urgency=medium

  * New upstream version 3.10.1
    + Fix wrong ref-count leading to memory corruption.  Closes: #986290

 -- Joël Krähemann <jkraehemann@gmail.com>  Fri, 20 Aug 2021 13:54:56 +0200

gsequencer (3.7.44-3) unstable; urgency=medium

  * removed rejected patches
  * minimal patch to fix Bug#983868
  * updated patches series file

 -- Joël Krähemann <jkraehemann@gmail.com>  Sat, 13 Mar 2021 14:59:27 +0100

gsequencer (3.7.44-2) unstable; urgency=medium

  * add patch to fix undefined behavior or missing return if buffer NULL in
    utility functions
  * add patch to fix floating point number types
  * add patch to update chapter 2 of user manual

 -- Joël Krähemann <jkraehemann@gmail.com>  Mon, 08 Mar 2021 18:44:04 +0100

gsequencer (3.7.44-1) unstable; urgency=medium

  * New upstream version 3.7.44

 -- Joël Krähemann <jkraehemann@gmail.com>  Sat, 27 Feb 2021 19:16:33 +0100

gsequencer (3.7.38-1) unstable; urgency=medium

  * New upstream version 3.7.38

 -- Joël Krähemann <jkraehemann@gmail.com>  Tue, 16 Feb 2021 17:37:42 +0100

gsequencer (3.7.35-1) unstable; urgency=medium

  [ Joël Krähemann ]
  * New upstream version 3.7.35

  [ Mattia Rizzolo ]
  * Mark gsequencer-data as M-A:foreign.

 -- Joël Krähemann <jkraehemann@gmail.com>  Tue, 09 Feb 2021 11:25:41 +0100

gsequencer (3.7.33-1) unstable; urgency=medium

  * New upstream version 3.7.33

 -- Joël Krähemann <jkraehemann@gmail.com>  Mon, 01 Feb 2021 07:10:51 +0100

gsequencer (3.7.28-1) unstable; urgency=medium

  * New upstream version 3.7.28
  * updated libags-audio3.symbols because new functions available

 -- Joël Krähemann <jkraehemann@gmail.com>  Sun, 24 Jan 2021 17:54:54 +0100

gsequencer (3.7.25-1) unstable; urgency=medium

  * Upload to unstable

  [ Mattia Rizzolo ]
  * fix synopsis-is-a-sentence

  [ Joël Krähemann ]
  * New upstream version 3.7.25
  * updated libags-audio3.symbols because new functions available

 -- Joël Krähemann <jkraehemann@gmail.com>  Thu, 14 Jan 2021 07:41:15 +0100

gsequencer (3.7.23-2) experimental; urgency=medium

  * new package gsequencer-data with architecture independent files
  * move architecture independent files away from gsequencer
  * install the new l10n files there

 -- Joël Krähemann <jkraehemann@gmail.com>  Sun, 10 Jan 2021 22:20:29 +0100

gsequencer (3.7.23-1) unstable; urgency=medium

  * New upstream version 3.7.23
  * ignore the new l10n files for now: they are effectively empty and
    need to be installed into a new binary package

 -- Joël Krähemann <jkraehemann@gmail.com>  Sun, 10 Jan 2021 19:11:17 +0100

gsequencer (3.7.22-1) unstable; urgency=medium

  * New upstream version 3.7.22
  * fixed libags-dev.install header location
  * updated libags3.symbols because new functions available
  * updated libags-audio3.symbols because new functions available

 -- Joël Krähemann <jkraehemann@gmail.com>  Sun, 03 Jan 2021 12:58:49 +0100

gsequencer (3.7.6-1) unstable; urgency=medium

  * New upstream version 3.7.6
  * updated libags-audio3.symbols because new functions available

 -- Joël Krähemann <jkraehemann@gmail.com>  Tue, 08 Dec 2020 15:52:29 +0100

gsequencer (3.6.21-1) unstable; urgency=medium

  [ Joël Krähemann ]
  * New upstream version 3.6.21
  * updated debian/libags-gui3.symbols because new functions available
  * updated libags3.symbols because new functions available

  [ Mattia Rizzolo ]
  * Bump Standards-Version to 4.5.1, no changes needed.

 -- Joël Krähemann <jkraehemann@gmail.com>  Tue, 24 Nov 2020 11:51:57 +0100

gsequencer (3.6.13-1) unstable; urgency=medium

  * New upstream version 3.6.13
  * updated signing-key.asc
  * updated dependencies because gstreamer support added
  * updated libags3.symbols because new functions available
  * updated libags-audio3.symbols because new functions available
  * updated libags-gui3.symbols because new functions available
  * additional dependencies in debian/tests/control because of new functional
    integration tests
  * added GNU parallel CI test dependency
  * running parallel functional tests
  * running parallel unint tests

 -- Joël Krähemann <jkraehemann@gmail.com>  Sun, 08 Nov 2020 17:27:48 +0100

gsequencer (3.5.16-1) unstable; urgency=medium

  * New upstream version 3.5.16
  * updated libags-audio3.symbols because new functions available

 -- Joël Krähemann <jkraehemann@gmail.com>  Thu, 08 Oct 2020 03:53:51 +0200

gsequencer (3.5.9-1) unstable; urgency=medium

  * New upstream version 3.5.9

 -- Joël Krähemann <jkraehemann@gmail.com>  Sun, 13 Sep 2020 00:54:43 +0200

gsequencer (3.5.8-1) unstable; urgency=medium

  * New upstream version 3.5.8

 -- Joël Krähemann <jkraehemann@gmail.com>  Fri, 31 Jul 2020 10:40:25 +0200

gsequencer (3.5.6-1) unstable; urgency=medium

  * New upstream version 3.5.6

 -- Joël Krähemann <jkraehemann@gmail.com>  Mon, 20 Jul 2020 19:01:16 +0200

gsequencer (3.5.2-1) unstable; urgency=medium

  * New upstream version 3.5.2
  * updated libags-audio3.symbols because new functions available

 -- Joël Krähemann <jkraehemann@gmail.com>  Thu, 16 Jul 2020 08:10:15 +0200

gsequencer (3.3.16-1) unstable; urgency=medium

  * New upstream version 3.3.16

 -- Joël Krähemann <jkraehemann@gmail.com>  Thu, 11 Jun 2020 18:19:50 +0200

gsequencer (3.3.12-1) unstable; urgency=medium

  * New upstream version 3.3.12

 -- Joël Krähemann <jkraehemann@gmail.com>  Sun, 07 Jun 2020 00:36:24 +0200

gsequencer (3.3.9-1) unstable; urgency=medium

  * New upstream version 3.3.9

 -- Joël Krähemann <jkraehemann@gmail.com>  Sat, 30 May 2020 18:27:43 +0200

gsequencer (3.3.7-1) unstable; urgency=medium

  * New upstream version 3.3.7

 -- Joël Krähemann <jkraehemann@gmail.com>  Sun, 24 May 2020 22:12:23 +0200

gsequencer (3.3.6-1) unstable; urgency=medium

  * set debhelper-compat to 13
  * discarded patch-ags_audio_loop-c.diff because it is not used
  * added not installed files
  * removed make target to install changelog.gz from debian/rules because yet
    provided
  * added changelog to debian/not-installed because upstream provides its own
  * New upstream version 3.3.6

 -- Joël Krähemann <jkraehemann@gmail.com>  Fri, 22 May 2020 12:07:06 +0200

gsequencer (3.3.0-1) unstable; urgency=medium

  [ Joël Krähemann ]
  * New upstream version 3.3.0 (Closes: #960257)
  * Update symbols files

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 17 May 2020 16:12:49 +0200

gsequencer (3.2.13-1) unstable; urgency=medium

  * New upstream version 3.2.13
  * Update symbols files for the new functions available

 -- Joël Krähemann <jkraehemann@gmail.com>  Mon, 13 Apr 2020 11:30:38 +0200

gsequencer (3.1.3-1) unstable; urgency=medium

  * New upstream version 3.1.3
  * Update symbols files

 -- Joël Krähemann <jkraehemann@gmail.com>  Sun, 16 Feb 2020 17:37:52 +0100

gsequencer (3.0.13-1) unstable; urgency=medium

  * New upstream version 3.0.13
  * Modify debian/rules to handle new Makefile.am
    + Remove the --disable-rt configure flag, disabled by AgsPriority

 -- Joël Krähemann <jkraehemann@gmail.com>  Mon, 03 Feb 2020 19:00:36 +0100

gsequencer (3.0.3-1) unstable; urgency=medium

  * New upstream version 3.0.1
  * Fix gir1.2-agsgui-3.0's description in debian/control
  * Remove unused GPL-2+ license paragraph from debian/copyright
  * Update env variables related to resources in debian/rules
  * edited debian/rules to handle new Makefile.am
  * Upload to unstable

 -- Joël Krähemann <jkraehemann@gmail.com>  Wed, 15 Jan 2020 17:50:07 +0100

gsequencer (3.0.0~beta7-1) experimental; urgency=medium

  * New upstream version 3.0.0~beta7
  * Add webkitgtk dependency because help browser available
  * Add new GObject-Introspection packages
    + Make the -dev packages depend on the new -gir packages
  * Update symbols files
  * Updated debian/copyright to current year 2020 and remove
    mention of the removed files ags/lib/ags_parameter.[ch]
  * Disable realtime priorities in debian/rules, as it makes tests fail and
    should instead be configured at runtime
  * Add test dependency libxtst-dev

 -- Joël Krähemann <jkraehemann@gmail.com>  Sat, 11 Jan 2020 07:52:10 +0100

gsequencer (3.0.0~alpha3-1) experimental; urgency=medium

  [ Joël Krähemann ]
  * New upstream version 3.0.0~alpha3
    + Fix a system stall with an RT kernel.  Closes: #944589
  * Update packaging for the new version with a bumped SONAME
  * Update the symbols files
  * Update README.source to use new upstream version

  [ Mattia Rizzolo ]
  * Update the debian/watch file

 -- Joël Krähemann <jkraehemann@gmail.com>  Thu, 02 Jan 2020 10:38:20 +0100

gsequencer (2.3.15-1) unstable; urgency=medium

  * New upstream version 2.3.15

  [ Joël Krähemann ]
  * Update debian/libags(-audio|)2.symbols

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 22 Oct 2019 10:28:49 +0200

gsequencer (2.3.3-1) unstable; urgency=medium

  * New upstream version 2.3.3

  [ Joël Krähemann ]
  * Update libags(-audio2|).symbols

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 12 Sep 2019 10:31:08 +0200

gsequencer (2.2.37-1) unstable; urgency=medium

  * New upstream version 2.2.37

 -- Joël Krähemann <jkraehemann@gmail.com>  Sun, 11 Aug 2019 23:07:27 +0200

gsequencer (2.2.33-1) unstable; urgency=medium

  [ Joël Krähemann ]
  * marked Multi-Arch same in debian/control
  * updated libags2.symbols because new functions available
  * updated libags-audio2.symbols because new functions available
  * increased Standards-Version

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Joël Krähemann ]
  * updated libags2.symbols because new interface functions available
  * New upstream version 2.2.33.  Closes: #933875

 -- Joël Krähemann <jkraehemann@gmail.com>  Sat, 03 Aug 2019 15:07:51 +0200

gsequencer (2.2.10-1) unstable; urgency=medium

  * Upload to unstable.
  * updated libags-audio2.symbols because new functions available
  * New upstream version 2.2.10

 -- Joël Krähemann <jkraehemann@gmail.com>  Thu, 04 Jul 2019 19:15:09 +0200

gsequencer (2.2.1-1) experimental; urgency=medium

  [ Joël Krähemann ]
  * add force option to remove symbols file
  * removed --parallel option because not needed anymore
  * removed override_dh_shlibdeps because no more circular dependency
  * removed unneeded depends of gsequencer
  * removed libpulse-mainloop-glib0 dependency because provided by libpulse-dev
  * added override_dh_makeshlibs target because of private library
  * removed target get-orig-source because you should use uscan
  * removed readme of get-orig-source
  * removed make gen-symbols-all from debian/rules
  * don't remove lib*.sym files provided by upstream tarball
  * removed include-binaries file because not needed
  * removed override_dh_shlibdeps because no more circular dependency
  * removed old remains from git
  * reverted .sym files
  * don't remove gtk-doc interface files during clean in debian/rules
  * removed include-binaries file because not needed
  * fixed typo in changelog
  * removed unneeded variable BUILD_DIR
  * removed series file because not needed anymore
  * applied new configure switch to enable integration tests in debian/rules
  * New upstream version 2.2.1
  * updated libags2.symbols because new symbols available
  * updated libags-audio2.symbols because new symbols available

  [ Sebastian Ramacher ]
  * debian/rules: Remove unneeded parts.
  * debian/control: Fix dependencies of -dev packages.

 -- Joël Krähemann <jkraehemann@gmail.com>  Mon, 24 Jun 2019 23:15:07 +0200

gsequencer (2.1.53-3) unstable; urgency=medium

  * Fixes from latest upstream sources (Closes: #927865)

 -- Joël Krähemann <joel@xn--krhemann-1za.com>  Wed, 08 May 2019 00:40:48 +0200

gsequencer (2.1.53-2) unstable; urgency=medium

  * Fixes for automation and config-reading (Closes: #923951)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 07 Mar 2019 17:14:05 +0100

gsequencer (2.1.53-1) unstable; urgency=medium

  * New upstream version 2.1.53

  [ Joël Krähemann ]
  * Updated libags(-audio)2.symbols

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 12 Feb 2019 14:01:13 +0100

gsequencer (2.1.41-1) unstable; urgency=medium

  * New upstream version 2.1.41

  [ Joël Krähemann ]
  * Install missing file ags/config.h
  * Updated libags-audio2.symbols
  * Deb-CI fixes
    * renamed ags-integration-functional-test to match upstream makefile target
    * added flaky restrictions to ags-integration-functional-test
    * added ags-integration-unit-test to debian/tests/control
  * Refreshed enable-integration-tests.patch to generate check system unit-tests

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 31 Jan 2019 14:15:06 +0100

gsequencer (2.1.34-1) unstable; urgency=medium

  * New upstream version 2.1.34

  [ Joël Krähemann ]
  * Updated libags*.symbols
  * Added documentation of OSC server to libags-audio-doc
  * Install additional files in 'gsequencer' and 'libags-audio-doc' package
  * Updated d/copyright

  [ IOhannes m zmölnig ]
  * Bumped standards to 4.3.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 11 Jan 2019 10:51:11 +0100

gsequencer (2.0.37-1) unstable; urgency=medium

  * New upstream version 2.0.37
    (Closes: #910055)

  [ Joël Krähemann ]
  * Updated libags-audio2.symbols
  * Removed disable_functional_tests.patch (use configure switch instead)
  * Updated upstream public key

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 14 Nov 2018 11:32:33 +0100

gsequencer (2.0.22-1) unstable; urgency=medium

  * New upstream version 2.0.22

  [ Joël Krähemann ]
  * Bumped sonames
  * Added new dependency fftw3-dev
  * Updated *.symbols files
  * Updated README.source to match latest soname

  [ IOhannes m zmölnig ]
  * Bumped dh compat to 11
  * Bumped standards version to 4.2.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 26 Sep 2018 15:18:29 +0200

gsequencer (1.4.34-1) unstable; urgency=medium

  * New upstream version 1.4.34

  [ Joël Krähemann ]
  * updated libags-audio1.symbols because new symbols available

  [ IOhannes m zmölnig ]
  * Don't require root for building
  * Bumped standards to 4.1.5

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 16 Jul 2018 19:30:27 +0200

gsequencer (1.4.32-1) unstable; urgency=medium

  [ Joël Krähemann ]
  * New upstream version 1.4.32

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 22 Jun 2018 22:59:13 +0200

gsequencer (1.4.29-1) unstable; urgency=medium

  * New upstream version 1.4.29

  [ Joël Krähemann ]
  * Replaced my now invalid alioth email address

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 09 May 2018 11:03:07 +0200

gsequencer (1.4.25-1) unstable; urgency=medium

  * New upstream version 1.4.25

  [ Joël Krähemann ]
  * Fixed uploader email address
  * Fixed test dependency
  * Updated libags-gui1.symbols

  [ IOhannes m zmölnig ]
  * Updated maintainer address
  * Bumped standards version to 4.1.4

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 18 Apr 2018 23:35:19 +0200

gsequencer (1.4.24-1) unstable; urgency=medium

  * New upstream version 1.4.24

  [ Joël Krähemann ]
  * Updated libags-audio1.symbols
  * Updated debian/watch to a more stable URL

  [ IOhannes m zmölnig ]
  * Use https:// for upstream URLs

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 26 Mar 2018 20:36:01 +0200

gsequencer (1.4.19-1) unstable; urgency=medium

  * New upstream version 1.4.19

  [ Joël Krähemann ]
  * Updated debian/watch for 1.4.x series
  * Updated libags(-audio|-gui|)1.symbols
  * Added Depends on libpulse-mainloop-glib0

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 28 Feb 2018 22:13:14 +0100

gsequencer (1.3.6-1) unstable; urgency=medium

  * New upstream version 1.3.6

  [ Joël Krähemann ]
  * provide API reference manual fix of libgsequencer.xml because removed file
  * Updated libags(-audio|-gui|)1 symbols
    * Documented howto update debian/*.symbols files
  * Modified debian/watch since directory changed
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 09 Jan 2018 15:47:17 +0100

gsequencer (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1

  [ Joël Krähemann ]
  * Refreshed patches
    * Removed patches applied upstream
    * Provided patch to enable integration tests
  * Removed libgmp dependency
  * Updated autopkgtests
    * Fixed dependencies
    * Restrictions: isolation and stderr
    * Run integration tests using xvfb-run
    * Fixed pre-integration-test target and provide LD_LIBRARY_PATH
      (both multi-arch and non-multi-arch)
  * Added pre-integration-test target

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Removed generated lib*.sym files in 'clean' target
  * Updated libags(-audio|-gui|)1.symbols
  * Use https:// in d/watch
  * Bumped standards version to 4.1.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 13 Dec 2017 15:37:51 +0100

gsequencer (1.1.4-1) unstable; urgency=medium

  * New upstream version 1.1.4

  [ Joël Krähemann ]
  * updated libags-audio1.symbols
  * fixed missing full license AGPLv3+
  * dropped unnecessary 'Testsuite:' stanza from d/control
  * replaced old source code location by GNU savannah repository
  * modified watch to point to new minor release
  * bumped standards version to 4.1.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 23 Oct 2017 14:24:58 +0200

gsequencer (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0

  [ Joël Krähemann ]
  * Bumped package names due to new major version
  * Fixed variable names in 'get-orig-source' target
  * Updated d/watch for new upstream version

  [ IOhannes m zmölnig ]
  * Mangled upstream version in d/watch

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 03 Oct 2017 20:43:15 +0200

gsequencer (0.9.26-2) unstable; urgency=medium

  * Made build reproducible by removing leftover files from documentation
  * Dropped nonexistent files from d/copyright
  * Added DEP-3 headers to patches
  * Added d/source/local-options

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 20 Sep 2017 13:41:55 +0200

gsequencer (0.9.26-1) unstable; urgency=medium

  * New upstream version 0.9.26

  [ Joël Krähemann ]
  * Updated libags0(-audio).symbols
  * Fixed libags(-gui|-audio|)-doc.links because path was modified
  * Possibility to specify download mirror for 'get-orig-source' target
  * Pass Debian specific filenames to build via CPPFLAGS
  * Removed functional tests patch because upstream disabled it anyway

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Cleaned up 'clean' target
  * Use pkg-info.mk for getting source package name and version

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 20 Sep 2017 12:09:35 +0200

gsequencer (0.9.14-1) unstable; urgency=medium

  * New upstream version 0.9.14

  [ Joël Krähemann ]
  * Refreshed patch to remove hunk
  * Added missing libpulse-dev build-dependency
  * Exluded unit-test that fails unreproducible
  * Updated libags-audio0.symbols
  * Modified suggests to use new soundfont
    (Closes:#870791)
  * Updated debian/watch
  * d/rules: get-orig-source fetches the pgp signature as well
    (see d/README.source)

  [ IOhannes m zmölnig ]
  * Updated instructions on how to clone the package repository
  * Dropped Build-Dependencies implied by dh-10
  * Dropped duplicate definition of DEB_SOURCE_PACKAGE
  * Modernized Vcs-Browser stanza
  * Bumped standards version to 4.1.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 22 Aug 2017 22:07:06 +0200

gsequencer (0.8.10-1) unstable; urgency=medium

  * New upstream version 0.8.10

  [ Joël Krähemann ]
  * Verified no soundcard works
    (Closes: #858283)
  * updated libags-audio0.symbols

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 20 Jul 2017 10:57:19 +0200

gsequencer (0.8.7-1) unstable; urgency=medium

  * New upstream version 0.8.7

  [ Joël Krähemann ]
  * New upstream version 0.8.7
  * Refreshed patches
  * Updated libags(-audio|)0.symbols

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 28 Jun 2017 21:41:46 +0200

gsequencer (0.8.4-1) unstable; urgency=medium

  * New upstream version 0.8.4

  [ Joël Krähemann ]
  * Removed patches since changes applied upstream
  * Enabled libinstpatch in debian/rules
  * Provided unit test fixes related to Bug#861908
  * Fixed libags-(audio-|gui-|)doc.install because they were using symlinks
  * Updated symbols file

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Bumped standars version to 4.0.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 19 Jun 2017 13:45:21 +0200

gsequencer (0.8.0-1) unstable; urgency=medium

  * New upstream version 0.8.0
    (Closes: #857936, #857935, #857931, #857937, #857934, #857948, #857947)
    (Closes: #857930, #857933, #857910, #857915)

  [ Joël Krähemann ]
  * Deleted patches included upstream
  * testing
    * Added DEP-8 test setup
    * Run auto test by xvfb-run because of functional tests
      * B-D on xvfb and xauth
    * Disabled functional tests that are likely to cause timeouts
  * documentation
    * doc-packages now install to /usr/share/gtk-doc
    * Added API documentation for libags-gui
  * Removed more files in 'clean' target
  * Extended description of libags-gui0
  * Updated libags(-audio|-gui|)0 symbols
  * Enabled parallel build
  * Updated d/watch file for 0.8.x branch
  * Bumped debhelper compat to 10

  [ IOhannes m zmölnig ]
  * Disabled parallel 'install' target

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 01 May 2017 22:31:04 +0200

gsequencer (0.7.122-2) unstable; urgency=medium

  [ Joël Krähemann ]
  * Disabled ALSA on non-linux, and enabled OSS4 only on kFreeBSD
    (Closes: #852985)
  * Backported patches (from upstream) to fix crasher bugs related to thread
    safety and memory corruption.

 -- Joël Krähemann <jkraehemann-guest@users.alioth.debian.org>  Wed, 01 Feb 2017 11:14:14 +0100

gsequencer (0.7.122-1) unstable; urgency=medium

  * New upstream version 0.7.122

  [ Joël Krähemann ]
  * Updated libags-audio0.symbols

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 03 Jan 2017 17:02:45 +0100

gsequencer (0.7.115-1) unstable; urgency=medium

  * New upstream version 0.7.115

  [ Joël Krähemann ]
  * Added dependency libx11-dev
  * Updated libags*0.symbols
  * Added additional header files to libags*-dev packages

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 12 Dec 2016 21:03:42 +0100

gsequencer (0.7.100-1) unstable; urgency=medium

  * New upstream version 0.7.100

  [ Joël Krähemann ]
  * Updated libags0.symbols
  * Fixed libags-* links to devhelp2 docs

  [ IOhannes m zmölnig ]
  * Added Multi-Arch:foreign to *-doc packages

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 11 Nov 2016 10:44:54 +0100

gsequencer (0.7.93-1) unstable; urgency=medium

  * New upstream version 0.7.93

  [ Joël Krähemann ]
  * updated libags.symbols and libags-audio.symbols

  [ IOhannes m zmölnig ]
  * Renamed symbols-files so they are applied to their packages

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 31 Oct 2016 21:07:35 +0100

gsequencer (0.7.90-1) unstable; urgency=medium

  * New upstream version 0.7.90
    (Closes: #836326, #836327, #836328)

  [ Joël Krähemann ]
  * Added OSS4 dependency because GSequencer supports your /dev/dsp now
  * Upstream only partially fixed overlinking fix is now in vcs
  * Added configure flag alsa needs to be enabled
  * Updated debian/rules to build gtk-doc properly
  * Removed obsolete patch
  * Added libsamplerate dependency because libags_audio uses it

  [ IOhannes m zmölnig ]
  * Removed unused patches

  [ Joël Krähemann ]
  * Initial *.symbols files

  [ IOhannes m zmölnig ]
  * Stripped debian-revision from .symbols files

  [ Joël Krähemann ]
  * Added liboss4-salsa alternative to libasound2
  * Removed unneeded dependency

  [ IOhannes m zmölnig ]
  * B-D on libjack-dev
  * Enabled ALSA-PCM only on linux

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 19 Oct 2016 11:40:23 +0200

gsequencer (0.7.62-1) unstable; urgency=medium

  [ Joël Krähemann ]
  * Imported Upstream version 0.7.62

  * Removed patches applied upstream
  * Fixed missing build dependencies

  * Split binary package
  * Use gtk-doc to generate documentation
  * Fixed libags-1.0.pc install package
  * Remove /usr/lib/*.la files after make install

  * gsequencer doc-base information
  * Removed unneeded doc-base files
  * libgsequencer-dev-doc doc-base information
  * Fixed descriptions about libraries and header files provided
  * Used --ignore-missing-info when calling dpkg-shlibdeps
  * Updated d/copyright due to directory renames
  * Updated d/control to new upstream web-site
  * Updated watch file and added GnuPG verification
  * Bumped standards version to 3.9.8

  * Removed libgsequencer* because it is private
  * Split out libags, libags-audio and libags-gui
  * removed libgsequencer related files
  * added Advanced Gtk+ Sequencer developer manual
  * Fixed underscore to score due to upstream changes
  * Fixed too long lines, package names and Depends field
  * Renamed install files to match package names
  * Fixed weak library dependency and tweaked descriptions
  * Fixed library path patterns

  [ IOhannes m zmölnig ]
  * Updated file filters in d/copyright
  * Got rid of brace-expressions in d/*.install
  * Fixed short descriptions of -doc packages
  * Created a detailed changelog from gbg-dch

  * Team upload.
  * Fixed sections for doc and dev packages
  * Extended long descriptions of doc packages
  * Doc packages are really arch:all

  * Fixed sections for lib*-dev packages
  * Fixed d/*.links file

  * Don't Recommend 'gsequencer' whenever possible.
  * Consistent package descriptions
  * Moved gsequencer-doc description near gsequencer
  * Stripped soname-version from -dev & -doc package names
  * Don't make libraries suggest installing dev packages
  * Tightened inter-package dependencies with versions
  * patch to remove extraneous -L flags from LDFLAGS
  * Dropped manpages from debian/
  * Removed prefix-overrides from d/rules
  * Dropped ${shlibs:Depends} from packages that don't contain binaries
  * Patch to reduce overlinking

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 31 Aug 2016 16:26:53 +0200

gsequencer (0.6.55-1) unstable; urgency=medium

  [ Joël Krähemann ]
  * Imported Upstream version 0.6.55

  [ IOhannes m zmölnig ]
  * Use https:// in Vcs-Git stanza

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 03 Feb 2016 16:15:37 +0100

gsequencer (0.6.37-1) unstable; urgency=medium

  [ Joël Krähemann ]
  * Imported Upstream version 0.6.37

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 14 Dec 2015 11:52:48 +0100

gsequencer (0.6.28-1) unstable; urgency=medium

  [ Joël Krähemann ]
  * Imported Upstream version 0.6.28

  [ IOhannes m zmölnig ]
  * Added debian/git-tuneclone.sh script

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 03 Dec 2015 16:16:52 +0100

gsequencer (0.6.20-1) unstable; urgency=medium

  [ Joël Krähemann ]
  * Imported Upstream version 0.6.20
  * Moved compiler flags to debian/rules

  [ IOhannes m zmölnig ]
  * Dropped fixed-compiler-flag.diff
  * Removed menu-entry (as per tech-ctte decision on #741573)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 12 Oct 2015 14:45:21 +0200

gsequencer (0.5.12-1) unstable; urgency=medium

  * Imported Upstream version 0.5.12

  [ Joël Krähemann ]
  * Removed patches applied upstream

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 27 Aug 2015 11:59:33 +0200

gsequencer (0.5.11-1) unstable; urgency=medium

  * New Upstream Version

  [ Joël Krähemann ]
  * Patch for building on different architectures than i386 and amd64

  [ IOhannes m zmölnig ]
  * Added myself to uploaders

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 14 Aug 2015 22:17:29 +0200

gsequencer (0.5.9-1) unstable; urgency=medium

  * Team upload.

  [Joël Krähemann]
  * Initial packaging (Closes: #788590)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 27 Jul 2015 23:24:57 +0200
